Bug 858381 - (JOGL2) Review Request: jogl2 - Java bindings for the OpenGL API
Review Request: jogl2 - Java bindings for the OpenGL API
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 858380
Blocks: 811661
  Show dependency treegraph
 
Reported: 2012-09-18 16:11 EDT by Clément DAVID
Modified: 2012-10-25 09:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-25 09:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Clément DAVID 2012-09-18 16:11:21 EDT
Spec URL: http://davidcl.fedorapeople.org/jogl2.spec
SRPM URL: http://davidcl.fedorapeople.org/jogl2-2.0-0.1.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

Description:

The JOGL project hosts the development version of the Java Binding for
the OpenGL API (JSR-231), and is designed to provide hardware-supported 3D
graphics to applications written in Java. JOGL provides full access to the
APIs in the OpenGL 2.0 specification as well as nearly all vendor extensions,
and integrates with the AWT and Swing widget sets. It is part of a suite of
open-source technologies initiated by the Game Technology Group at
Sun Microsystems.
Comment 1 gil cattaneo 2012-09-18 20:36:25 EDT
hi
can you add a link also in %_jnidir (/usr/lib*/java), and rebuild the package using also the task maven.prepare.pom maven.prepare.native.pom, and install the maven metadta files?

for example
ant -f make/maven-common.xml -Dbuild=$PWD/build -Dmaven.artifacts.version=%{namedversion}"  maven.prepare.pom maven.prepare.native.pom

for javadoc
ant -f make/build.xml \
-Dantlr.jar=$(build-classpath antlr) \
-Djavadoc.link=%{_javadocdir}/java \
-Dgluegen.link=%{_javadocdir}/gluegen2 \
javadoc.all
thanks
regard
Comment 2 gil cattaneo 2012-09-18 20:41:50 EDT
ops
namedversion is equal at 2.0-rc10
Comment 3 Clément DAVID 2012-10-01 17:30:18 EDT
Spec URL: http://davidcl.fedorapeople.org/jogl2.spec
SRPM URL: http://davidcl.fedorapeople.org/jogl2-2.0-0.2.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

Hi, I updated to provide all javadocs and doc. Even if gluegen2 provide a maven target, jogl2 does not (may be in a future rc).
Comment 4 gil cattaneo 2012-10-01 18:43:53 EDT
hi Clément,
can use this pom instead ?

in jogl-v2.0-rc10/make/pom.xml

but in this one you should fix - change

<version>this pom is a stub, just to resolve dependencies</version>
with
<version>2.0-rc10</version>

and
    <dependencies>
        <dependency>
            <artifactId>gluegen-rt-natives</artifactId>
            <groupId>org.jogamp.gluegen</groupId>
            <version>[1.0-beta07-SNAPSHOT,)</version> <!--TODO:exclude snapshot versions from this range-->
            <classifier>${envClassifier}-${os.arch}</classifier> <!--Can't use ${os.name} - it's uppercase-->
        </dependency>
        <dependency>
            <artifactId>gluegen-cpptasks</artifactId>
            <groupId>org.jogamp.gluegen</groupId>
            <version>[1.0-beta07-SNAPSHOT,)</version> <!--TODO:exclude snapshot versions from this range-->
        </dependency>
    </dependencies>

with

    <dependencies>
        <dependency>
            <artifactId>gluegen-rt</artifactId>
            <groupId>org.jogamp.gluegen</groupId>
            <version>2.0-rc10</version>
        </dependency>
        <dependency>
            <artifactId>cpptasks</artifactId>
            <groupId>ant-contrib</groupId>
            <version>1.0b5</version>
            <scope>system</scope>
            <systemPath>${_javadir}/cpptasks.jar</systemPath>
        </dependency>
    </dependencies>

(cpptasks package dont provides maven pom and depmap, this is a workaround and temporarily fix the problem)

and when create the depmap
add also this please

%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "org.jogamp.jogl:jogl-all"

thanks
Comment 5 Clément DAVID 2012-10-02 08:15:18 EDT
Spec URL: http://davidcl.fedorapeople.org/jogl2.spec
SRPM URL: http://davidcl.fedorapeople.org/jogl2-2.0-0.3.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

Updated, the pom is provided as a source and I also added a patch to remove the Xinerama loading log.
Comment 6 gil cattaneo 2012-10-04 07:36:26 EDT
hi Clément
you should add BuildRequires: p7zip in spec file
thanks
regards
Comment 7 Clément DAVID 2012-10-05 04:41:34 EDT
Spec URL: http://davidcl.fedorapeople.org/jogl2.spec
SRPM URL: http://davidcl.fedorapeople.org/jogl2-2.0-0.4.rc10.fc17.src.rpm
koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=4561911
Fedora Account System Username: davidcl

Updated, a mock (through koji) build now works.
Comment 8 gil cattaneo 2012-10-05 06:59:19 EDT
I am taking this review.
Comment 9 gil cattaneo 2012-10-05 07:55:45 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Fully versioned dependency in subpackages, if present.
     Note: Missing: 'Requires: %%{name} =' in: %package doc
See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find licenses in rpm(s)
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc, %package doc
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find licenses in rpm(s)
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[-]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[-]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

Java:
[x]: If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[!]: Fully versioned dependency in subpackages, if present.
     Note: Missing: 'Requires: %%{name} =' in: %package doc
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (jogl-v2.0-rc10.tar.7z)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define pkg_release 0.%{baserelease}.%{pkg_rc}%{?dist} %define
     pkg_release %{baserelease}%{?dist}

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jogl2-javadoc-2.0-0.4.rc10.fc19.noarch.rpm
          jogl2-2.0-0.4.rc10.fc19.i686.rpm
          jogl2-doc-2.0-0.4.rc10.fc19.noarch.rpm
          jogl2-2.0-0.4.rc10.fc19.src.rpm
          jogl2-debuginfo-2.0-0.4.rc10.fc19.i686.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jogl2-doc jogl2-debuginfo jogl2-javadoc jogl2
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jogl2-javadoc-2.0-0.4.rc10.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

jogl2-2.0-0.4.rc10.fc19.i686.rpm (rpmlib, GLIBC filtered):
    
    gluegen2  
    java >= 1:1.6.0
    jpackage-utils  
    libX11.so.6  
    libXrandr.so.2  
    libXrender.so.1  
    libXxf86vm.so.1  
    libc.so.6  
    libjawt.so  
    libjawt.so(SUNWprivate_1.1)  
    rtld(GNU_HASH)  

jogl2-doc-2.0-0.4.rc10.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    

jogl2-debuginfo-2.0-0.4.rc10.fc19.i686.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
jogl2-javadoc-2.0-0.4.rc10.fc19.noarch.rpm:
    
    jogl2-javadoc = 2.0-0.4.rc10.fc19

jogl2-2.0-0.4.rc10.fc19.i686.rpm:
    
    jogl2 = 2.0-0.4.rc10.fc19
    jogl2(x86-32) = 2.0-0.4.rc10.fc19
    libjogl_cg.so  
    libjogl_desktop.so  
    libjogl_mobile.so  
    libnativewindow_awt.so  
    libnativewindow_x11.so  
    libnewt.so  
    mvn(org.jogamp.jogl:jogl) = 2.0
    mvn(org.jogamp.jogl:jogl-all) = 2.0

jogl2-doc-2.0-0.4.rc10.fc19.noarch.rpm:
    
    jogl2-doc = 2.0-0.4.rc10.fc19

jogl2-debuginfo-2.0-0.4.rc10.fc19.i686.rpm:
    
    jogl2-debuginfo = 2.0-0.4.rc10.fc19
    jogl2-debuginfo(x86-32) = 2.0-0.4.rc10.fc19



Unversioned so-files
--------------------
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libjogl_cg.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libjogl_desktop.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libjogl_mobile.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libnativewindow_awt.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libnativewindow_x11.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libnewt.so

MD5-sum check
-------------
http://jogamp.org/deployment/jogamp-current/archive/Sources/jogl-v2.0-rc10.tar.7z :
  CHECKSUM(SHA256) this package     : aebf96e4aaed8f59e2acf6229326563d427176a2e791daa71fe235095606d66d
  CHECKSUM(SHA256) upstream package : aebf96e4aaed8f59e2acf6229326563d427176a2e791daa71fe235095606d66d
Comment 10 gil cattaneo 2012-10-05 08:03:20 EDT
Issues:
=======
[!]: Fully versioned dependency in subpackages, if present.
     Note: Missing: 'Requires: %%{name} =' in: %package doc
See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find licenses in rpm(s)
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

[!]: Dist tag is present.

[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (jogl-v2.0-rc10.tar.7z)

[!]: Spec use %global instead of %define.
     Note: %define pkg_release 0.%{baserelease}.%{pkg_rc}%{?dist} %define
     pkg_release %{baserelease}%{?dist}

should be simply %global pkg_release 0.%{baserelease}.%{pkg_rc}%{?dist}

please, can you check,also, if in gluegen2 package is present 
gluegen.cpptasks.detect.os
Comment 11 Clément DAVID 2012-10-08 02:33:40 EDT
Hi gil, thanks for taking the review, 

> [!]: Fully versioned dependency in subpackages, if present.
>      Note: Missing: 'Requires: %%{name} =' in: %package doc

Fixed to avoid outdated javadoc / doc documentation on update.

> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
>      Note: Cannot find licenses in rpm(s)
> See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. No licenses
>      found. Please check the source files for licenses manually.
> See:
> http://fedoraproject.org/wiki/Packaging/
> LicensingGuidelines#ValidLicenseShortNames

I checked the licenses, the LICENSE.txt file is provided on each package and document licenses usages. I updated the spec to list them all.

> [!]: Dist tag is present.

I did not understand this point, I used the {?dist} macro on the release field.

> [!]: SourceX / PatchY prefixed with %{name}.
>      Note: Source0 (jogl-v2.0-rc10.tar.7z)

I prefer keeping the same source package as upstream. The package name has been changed to provide both jogl and jogl2 on the same system.

> [!]: Spec use %global instead of %define.
>      Note: %define pkg_release 0.%{baserelease}.%{pkg_rc}%{?dist} %define
>      pkg_release %{baserelease}%{?dist}
> should be simply %global pkg_release 0.%{baserelease}.%{pkg_rc}%{?dist}

Fixed.

> please, can you check,also, if in gluegen2 package is present 
> gluegen.cpptasks.detect.os
Yes
/usr/share/gluegen2/make/gluegen-cpptasks-base.xml:700

Please note that for these minor spec modification I did not bump the version.
Comment 12 gil cattaneo 2012-10-08 06:39:19 EDT
hi Clément,
please update the source rpm.
there are still the same problems discussed above
thanks regards
Comment 13 Clément DAVID 2012-10-08 08:56:28 EDT
Updated, sorry to miss that.
Comment 14 gil cattaneo 2012-10-08 12:00:47 EDT
hi,

[!]: Dist tag is present.

if use 

%if 0%{?pkg_rc:1}
    %global pkg_release 0.%{baserelease}.%{pkg_rc}%{?dist}
%else
    %global pkg_release %{baserelease}%{?dist}
%endif

pkg_release is %{baserelease}%{?dist} (equal to 2.0-4) and not as in changelog
* Fri Oct 05 2012 Clément David <c.david86@gmail.com> - 2.0-0.4.rc10

please correct it



Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[x] = Manual review needed


Issues:
=======
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find licenses in rpm(s)
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find licenses in rpm(s)
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

Java:
[x]: If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (jogl-v2.0-rc10.tar.7z)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jogl2-javadoc-2.0-0.4.rc10.fc19.noarch.rpm
          jogl2-2.0-0.4.rc10.fc19.i686.rpm
          jogl2-doc-2.0-0.4.rc10.fc19.noarch.rpm
          jogl2-2.0-0.4.rc10.fc19.src.rpm
          jogl2-debuginfo-2.0-0.4.rc10.fc19.i686.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jogl2-doc jogl2-debuginfo jogl2-javadoc jogl2
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jogl2-javadoc-2.0-0.4.rc10.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jogl2 = 2.0-0.4.rc10.fc19
    jpackage-utils  

jogl2-2.0-0.4.rc10.fc19.i686.rpm (rpmlib, GLIBC filtered):
    
    gluegen2  
    java >= 1:1.6.0
    jpackage-utils  
    libX11.so.6  
    libXrandr.so.2  
    libXrender.so.1  
    libXxf86vm.so.1  
    libc.so.6  
    libjawt.so  
    libjawt.so(SUNWprivate_1.1)  
    rtld(GNU_HASH)  

jogl2-doc-2.0-0.4.rc10.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jogl2 = 2.0-0.4.rc10.fc19

jogl2-debuginfo-2.0-0.4.rc10.fc19.i686.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
jogl2-javadoc-2.0-0.4.rc10.fc19.noarch.rpm:
    
    jogl2-javadoc = 2.0-0.4.rc10.fc19

jogl2-2.0-0.4.rc10.fc19.i686.rpm:
    
    jogl2 = 2.0-0.4.rc10.fc19
    jogl2(x86-32) = 2.0-0.4.rc10.fc19
    libjogl_cg.so  
    libjogl_desktop.so  
    libjogl_mobile.so  
    libnativewindow_awt.so  
    libnativewindow_x11.so  
    libnewt.so  
    mvn(org.jogamp.jogl:jogl) = 2.0
    mvn(org.jogamp.jogl:jogl-all) = 2.0

jogl2-doc-2.0-0.4.rc10.fc19.noarch.rpm:
    
    jogl2-doc = 2.0-0.4.rc10.fc19

jogl2-debuginfo-2.0-0.4.rc10.fc19.i686.rpm:
    
    jogl2-debuginfo = 2.0-0.4.rc10.fc19
    jogl2-debuginfo(x86-32) = 2.0-0.4.rc10.fc19



Unversioned so-files
--------------------
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libjogl_cg.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libjogl_desktop.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libjogl_mobile.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libnativewindow_awt.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libnativewindow_x11.so
jogl2-2.0-0.4.rc10.fc19.i686.rpm: /usr/lib/jogl2/libnewt.so

MD5-sum check
-------------
http://jogamp.org/deployment/jogamp-current/archive/Sources/jogl-v2.0-rc10.tar.7z :
  CHECKSUM(SHA256) this package     : aebf96e4aaed8f59e2acf6229326563d427176a2e791daa71fe235095606d66d
  CHECKSUM(SHA256) upstream package : aebf96e4aaed8f59e2acf6229326563d427176a2e791daa71fe235095606d66d
Comment 15 Clément DAVID 2012-10-10 06:42:28 EDT
Hi gil,

I update the spec and srpm file to fix the %{?dist} issue.

Issues:
=======

> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
>      Note: Cannot find licenses in rpm(s)
> See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

LICENSE.txt is present as %doc in the main package and sub-packages

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. No licenses
>      found. Please check the source files for licenses manually.
> See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

A comment is present which clarify this thing accordingly to the guidelines.

> [!]: SourceX / PatchY prefixed with %{name}.
>      Note: Source0 (jogl-v2.0-rc10.tar.7z)

Renamed to provide both jogl and jogl2 packages.
Comment 16 gil cattaneo 2012-10-10 10:11:36 EDT
hi Clément,
please update the source rpm.
there are still the same problems discussed above
thanks regards
Comment 17 Clément DAVID 2012-10-11 03:27:46 EDT
Spec URL: http://davidcl.fedorapeople.org/jogl2.spec
SRPM URL: http://davidcl.fedorapeople.org/jogl2-2.0-0.4.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

Updated accordingly
Comment 18 gil cattaneo 2012-10-11 09:56:03 EDT
APPROVED
Comment 19 Clément DAVID 2012-10-11 10:41:12 EDT
New Package SCM Request
=======================
Package Name: jogl2
Short Description: Java bindings for the OpenGL API
Owners: davidcl
Branches: f17 f18 el6
InitialCC: java-sig
Comment 20 Gwyn Ciesla 2012-10-11 10:56:39 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2012-10-11 15:49:50 EDT
jogl2-2.0-0.4.rc10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jogl2-2.0-0.4.rc10.fc18
Comment 22 Fedora Update System 2012-10-12 13:54:54 EDT
jogl2-2.0-0.4.rc10.fc18 has been pushed to the Fedora 18 testing repository.
Comment 23 Fedora Update System 2012-10-16 03:10:03 EDT
jogl2-2.0-0.4.rc10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jogl2-2.0-0.4.rc10.fc17

Note You need to log in before you can comment on or make changes to this bug.